Get User
curl --request GET \
--url https://api.yapily.com/users/{userUuid} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.yapily.com/users/{userUuid}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.yapily.com/users/{userUuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "3b908179-6faa-42e1-8129-8fd0ff1fc68f",
"applicationUuid": "3020bf54-e254-40ba-ba7b-fc959774486a",
"applicationUserId": "string",
"createdAt": "2022-10-17T08:51:02.463Z",
"institutionConsents": [
{
"institutionId": "modelo-sandbox"
}
]
}{
"error": {
"code": 401,
"status": "UNAUTHORIZED",
"message": "Full authentication is required to access this resource"
}
}Users
Get User
Get a specific user using the user UUID
Get User
Authorizations
Use HTTP Basic Authentication with your Application ID as username and Application Secret as password. Manage credentials in the Yapily Console. See Authentication for details.
Path Parameters
Mandatory. The Yapily generated UUID for the user.
Response
Ok
Information about a user of an application.
A unique identifier for the 'User' assigned by Yapily.
Unique identifier of the application the user is associated with.
Conditional. The user-friendly reference to the User.
Date and time of when the user was created.
Show child attributes
Show child attributes
Optional. A flag to indicate whether the user has opted out of VOP.
Was this page helpful?